View Issue Details

IDProjectCategoryView StatusLast Update
0000129Freifunk Franken FirmwareGeneralpublic2019-12-14 20:39
Reporterfbl Assigned Tofbl  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version20191130-alpha 
Summary0000129: C60v1 hat kein 5GHz
DescriptionDas 5 GHz phy fehlt beim C60v1 mit der layer3 Variante. Mit der node Variante ist das aber vermutlich ganz das gleiche.
Steps To Reproduceiw phy
TagsNo tags attached.

Activities

Adrian Schmutzler

2019-12-02 15:39

manager   ~0000371

Mal mit stock Treiber und FW probiert?

Im /etc/config/wireless demnach auch nur ein radio?

fbl

2019-12-03 14:47

administrator   ~0000373

Genau. Es taucht im sysfs (und entsprechend auch bei iw phy) nur ein physikalisches Gerät auf.

Ich vermute auch etwas mit dem Treiber, konnte das aber bisher nicht testen, weil ich nur einen C60v1 habe und diesen erst mit etwas anderem ersetzen muss.

Adrian Schmutzler

2019-12-03 15:08

manager   ~0000374

Ich habe zur Not auch nen C60v1, bei dem ich testen kann, habe im Moment aber überhaupt keine Zeit.

Meiner Erinnerung nach lief bei meiner FW lief sowohl mit 18.06.4+ als auch mit 19.07 (stock-Treiber/-FW) beides:

z.B. https://monitoring.freifunk-franken.de/routers/10713

Adrian Schmutzler

2019-12-03 15:15

manager   ~0000375

Ich hab mal im openwrt master gekuckt, das einzige in meinen Augen relevante zwischen .4 und .5 sind mac80211 backports:
https://github.com/openwrt/openwrt/commit/5880dd48d58ec18c0d82bf2a18718639fd8c8d32
https://github.com/openwrt/openwrt/commit/7393ce8d87d2a06deb231dc1e0ddb46330f9897b
https://github.com/openwrt/openwrt/commit/f51e2d031e8125632487d2a0f56b9fa31b71e54f
https://github.com/openwrt/openwrt/commit/95745e26b319c630a49d2b8284f8afeaa30506da
https://github.com/openwrt/openwrt/commit/8231f67218e584be61d32b24bd17cc55e500638c

Insbesondere ct-Treiber- oder -Firmware-Update gabs keins.

fbl

2019-12-03 15:29

administrator   ~0000376

Der letzte funktionierende Stand auf meinem C60v1 war meine fbl-gateway-20181231, das war noch OpenWRT 18.06.1.
Dazwischen hab ich nichts mehr getestet.

Ich werd den C60v1 heute oder morgen ersetzen, da er aktuell eh mehr Probleme macht (grade wenn sich bei Nutzung des Raumes 5+ Clients auf einmal einloggen), als er hilft.

fbl

2019-12-08 21:30

administrator   ~0000382

root@fz:~# dmesg | grep ath
[ 11.458865] ath10k 4.13 driver, optimized for CT firmware, probing pci device: 0x56.
[ 11.502153] ath10k_pci 0000:00:00.0: pci irq legacy oper_irq_mode 1 irq_mode 0 reset_mode 0
[ 11.715595] ath10k_pci 0000:00:00.0: Direct firmware load for ath10k/fwcfg-pci-0000:00:00.0.txt failed with error -2
[ 11.726510] ath10k_pci 0000:00:00.0: Falling back to user helper
[ 11.797558] firmware ath10k!fwcfg-pci-0000:00:00.0.txt: firmware_loading_store: map pages failed
[ 11.806875] ath10k_pci 0000:00:00.0: Direct firmware load for ath10k/pre-cal-pci-0000:00:00.0.bin failed with error -2
[ 11.817946] ath10k_pci 0000:00:00.0: Falling back to user helper
[ 11.976427] firmware ath10k!pre-cal-pci-0000:00:00.0.bin: firmware_loading_store: map pages failed
[ 11.985922] ath10k_pci 0000:00:00.0: Direct firmware load for ath10k/cal-pci-0000:00:00.0.bin failed with error -2
[ 11.996641] ath10k_pci 0000:00:00.0: Falling back to user helper
[ 12.155879] firmware ath10k!cal-pci-0000:00:00.0.bin: firmware_loading_store: map pages failed
[ 12.165012] ath10k_pci 0000:00:00.0: Direct firmware load for ath10k/QCA9888/hw2.0/ct-firmware-5.bin failed with error -2
[ 12.176350] ath10k_pci 0000:00:00.0: Falling back to user helper
[ 12.308817] firmware ath10k!QCA9888!hw2.0!ct-firmware-5.bin: firmware_loading_store: map pages failed
[ 12.318576] ath10k_pci 0000:00:00.0: Direct firmware load for ath10k/QCA9888/hw2.0/ct-firmware-2.bin failed with error -2
[ 12.329916] ath10k_pci 0000:00:00.0: Falling back to user helper
[ 12.460341] firmware ath10k!QCA9888!hw2.0!ct-firmware-2.bin: firmware_loading_store: map pages failed
[ 12.470126] ath10k_pci 0000:00:00.0: Direct firmware load for ath10k/QCA9888/hw2.0/firmware-6.bin failed with error -2
[ 12.481199] ath10k_pci 0000:00:00.0: Falling back to user helper
[ 12.612498] firmware ath10k!QCA9888!hw2.0!firmware-6.bin: firmware_loading_store: map pages failed
[ 12.621992] ath10k_pci 0000:00:00.0: Direct firmware load for ath10k/QCA9888/hw2.0/firmware-5.bin failed with error -2
[ 12.633070] ath10k_pci 0000:00:00.0: Falling back to user helper
[ 12.765692] firmware ath10k!QCA9888!hw2.0!firmware-5.bin: firmware_loading_store: map pages failed
[ 12.775182] ath10k_pci 0000:00:00.0: Direct firmware load for ath10k/QCA9888/hw2.0/firmware-4.bin failed with error -2
[ 12.786258] ath10k_pci 0000:00:00.0: Falling back to user helper
[ 12.918555] firmware ath10k!QCA9888!hw2.0!firmware-4.bin: firmware_loading_store: map pages failed
[ 12.928048] ath10k_pci 0000:00:00.0: Direct firmware load for ath10k/QCA9888/hw2.0/firmware-3.bin failed with error -2
[ 12.939125] ath10k_pci 0000:00:00.0: Falling back to user helper
[ 13.070907] firmware ath10k!QCA9888!hw2.0!firmware-3.bin: firmware_loading_store: map pages failed
[ 13.080402] ath10k_pci 0000:00:00.0: Direct firmware load for ath10k/QCA9888/hw2.0/firmware-2.bin failed with error -2
[ 13.091480] ath10k_pci 0000:00:00.0: Falling back to user helper
[ 13.223151] firmware ath10k!QCA9888!hw2.0!firmware-2.bin: firmware_loading_store: map pages failed
[ 13.232594] ath10k_pci 0000:00:00.0: Failed to find firmware-N.bin (N between 2 and 6) from ath10k/QCA9888/hw2.0: -11
[ 13.243575] ath10k_pci 0000:00:00.0: could not fetch firmware files (-11)
[ 13.250591] ath10k_pci 0000:00:00.0: could not probe fw (-11)

Adrian Schmutzler

2019-12-08 21:37

manager   ~0000383

Last edited: 2019-12-08 21:38

View 3 revisions

Also findet er die Firmware nicht, der Treiber ist da.
https://github.com/openwrt/openwrt/blob/openwrt-18.06/target/linux/ar71xx/base-files/etc/hotplug.d/firmware/11-ath10k-caldata#L166

Es kann also:
1. OpenWrt kaputt sein (falscher Pfad)
2. Der Pfad bei CT anders sein
3. Unsere FW die ath10k-Firmware nicht (oder falsch) selektieren.

Wenn wir stock-Firmware hätten (statt CT), müsste er trotzdem laden.

fbl

2019-12-08 22:07

administrator   ~0000384

Habe grade etwas rumanalysiert. Wir selektieren im BSP die ath10k-firmware-qca9888-ct, aber das Paket wird nirgends gebaut.
Daher landet es auch nicht im fertigen Build.

Der C60v2 dürfte entsprechend genauso kaputt sein.

Damit es klappt, muss das firmware-Package als "m" konfiguriert werden.

Adrian Schmutzler

2019-12-08 22:29

manager   ~0000385

In der Tat. Man braucht wohl nur ein
CONFIG_PACKAGE_ath10k-firmware-qca9888-ct=m
im bsp.

fbl

2019-12-08 22:29

administrator   ~0000386

Patch kommt gleich, bin grade am testen.
Mit gebaut ist es jetzt auf jeden Fall.

fbl

2019-12-10 10:24

administrator   ~0000388

fixed in bcec4e6a209e34b2c4c308a394a1961dcb789ce4

Issue History

Date Modified Username Field Change
2019-12-01 12:37 fbl New Issue
2019-12-02 15:39 Adrian Schmutzler Note Added: 0000371
2019-12-03 14:47 fbl Note Added: 0000373
2019-12-03 15:08 Adrian Schmutzler Note Added: 0000374
2019-12-03 15:15 Adrian Schmutzler Note Added: 0000375
2019-12-03 15:29 fbl Note Added: 0000376
2019-12-03 15:35 fbl Assigned To => fbl
2019-12-03 15:35 fbl Status new => acknowledged
2019-12-08 21:30 fbl Note Added: 0000382
2019-12-08 21:37 Adrian Schmutzler Note Added: 0000383
2019-12-08 21:38 Adrian Schmutzler Note Edited: 0000383 View Revisions
2019-12-08 21:38 Adrian Schmutzler Note Edited: 0000383 View Revisions
2019-12-08 22:07 fbl Note Added: 0000384
2019-12-08 22:29 Adrian Schmutzler Note Added: 0000385
2019-12-08 22:29 fbl Note Added: 0000386
2019-12-10 10:24 fbl Status acknowledged => resolved
2019-12-10 10:24 fbl Resolution open => fixed
2019-12-10 10:24 fbl Note Added: 0000388
2019-12-14 20:39 fbl Target Version next =>